#overlay {
    position: fixed;
    z-index: 1;
    top: 100px;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(0,0,0,0.6);
}

.modal-mask {
  position: fixed;
  z-index: 9998;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, .5);
  display: table;
  transition: opacity .3s ease;
}

.modal-wrapper {
  display: table-cell;
  vertical-align: middle;
}

.modal {
    position: fixed;
    z-index: 9999999999;
    top: 100px;
    bottom: 0;
    left: 0;
    right: 0;
  width:600px;
  max-height:600px;
  overflow-y: scroll;
  background-color:green;
}
.selector-for-some-widget {
  box-sizing: content-box;
}
